package com.bjzc.bhzhgd.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

/**
 * Created by ruihong on 2018/7/27.
 */

public class WjbjxitemList extends DataSupport implements Parcelable {
    private long id;
    private String xhid;
    private String zjid;
    private String bagid;
    private String itemname;
    private WjbzjdList wjbList;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getXhid() {
        return xhid;
    }

    public void setXhid(String xhid) {
        this.xhid = xhid;
    }

    public String getZjid() {
        return zjid;
    }

    public void setZjid(String zjid) {
        this.zjid = zjid;
    }

    public String getBagid() {
        return bagid;
    }

    public void setBagid(String bagid) {
        this.bagid = bagid;
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname;
    }

    public WjbzjdList getWjbList() {
        return wjbList;
    }

    public void setWjbList(WjbzjdList wjbList) {
        this.wjbList = wjbList;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(this.id);
        dest.writeString(this.xhid);
        dest.writeString(this.zjid);
        dest.writeString(this.bagid);
        dest.writeString(this.itemname);
        dest.writeParcelable(this.wjbList, flags);
    }

    public WjbjxitemList() {
    }

    protected WjbjxitemList(Parcel in) {
        this.id = in.readLong();
        this.xhid = in.readString();
        this.zjid = in.readString();
        this.bagid = in.readString();
        this.itemname = in.readString();
        this.wjbList = in.readParcelable(WjbzjdList.class.getClassLoader());
    }

    public static final Creator<WjbjxitemList> CREATOR = new Creator<WjbjxitemList>() {
        @Override
        public WjbjxitemList createFromParcel(Parcel source) {
            return new WjbjxitemList(source);
        }

        @Override
        public WjbjxitemList[] newArray(int size) {
            return new WjbjxitemList[size];
        }
    };
}
